### Function

# Clutter Container class_list_child_properties

#### Declaration [src]

    GParamSpec**
    clutter_container_class_list_child_properties (
      GObjectClass* klass,
      guint* n_properties
    )

#### Description [src]

Returns an array of `GParamSpec` for all child properties.

#### Parameters

`klass`

  Type: `GObjectClass`

  A `GObjectClass` implementing the `ClutterContainer` interface.

  The data is owned by the caller of the function.

`n_properties`

  Type: `guint*`

  Return location for length of returned array.

  The argument will be set by the function.

#### Return value

Type: An array of `GParamSpec*`

An array of `GParamSpec`s which should be freed after use.

The length of the array is in the `n_properties` argument.
The caller of the function takes ownership of the data, and is responsible for freeing it.